Subject: [TLS] draft-rescorla-tls-suiteb-11.txt

From: Rob Dugal <[email-masked]>
Date: Tue, 25 Nov 2008 10:44:34 -0500

I have some questions on how a client and server will be able to comply with this draft and negotiate TLS 1.2.

Assume the following: 
- server and client are Suite B compliant
- both support TLS 1.2, TLS 1.1, and TLS 1.0
- both support ecdsa/sha256, ecdsa/sha384, ecdsa/sha1
- both support secp256r1 and secp384r1

When the client encodes the ClientHello it must not encode the signature_algorithms extension (see RFC 5246 section 7.4.1.4.1).
This means that when the server tries to process the ClientHello it can only assume that the client supports ecdsa/sha1 with TLS 1.2.
But for TLS 1.0 and TLS 1.1 there are no restrictions on the signature/hash algorithm.

draft-rescorla-tls-suiteb-11.txt requires that the server certificate use ecdsa/sha384/secp384r1 for ciphersuites with 192-bit security
and ecdsa/sha256/secp256r1 for ciphersuites with 128-bit security.
So I don't see how TLS 1.2 can ever be supported in this scenario.
-----------------------------------------------
Robert Dugal
Member of Development Group
Certicom Corp.
EMAIL: [email-masked]
PHONE: (905) 501-3848
FAX  : (905) 507-4230
WEBSITE: www.certicom.com

_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls